@font-face {
    font-family: 'Saira';
    src: url('/resources/font/Saira-Regular.ttf')
}
@font-face {
    font-family: 'PT Sans Caption';
    src: url('/resources/font/PTSansCaption-Regular.ttf')
}

@import url( '/resources/css/query.css' );

:root
{
    --primary: #f8cf90;
    --secondary: #e9f890;
}

*, *::after, *::before { box-sizing: border-box }

a { color: white; text-decoration: none; }
a[nw] {
    text-decoration: underline;
    color: #bbbfc2;
}

html, body {
    scroll-behavior: smooth;
}

img {
    object-fit: cover;
    object-position: center;
}

body {
    margin: 0px;
    font-family: 'Saira', sans-serif;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
    background: #0b0b0b;
}

.__article .nw-flash {
  background: #ff0000d1;
  border-radius: 18px;
  position: absolute;
  padding: 0px 12px;
  font-size: 12px;
  right: -6px;
  top: -4px;
  text-transform: uppercase;
}

h1, h2, h3, h4, h5 {
    font-family: 'Saira', sans-serif;
    margin: 0;
    line-height: 1.2
}

input, textarea, select {
    background: rgba(0, 0, 0, 0.8);
    border: none;
    outline: 0;
    border-radius: 5px;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.2);
    color: white;
    padding: 9px 12px;
    font-family: inherit;
}

::-webkit-scrollbar { width: 8px; }
::-webkit-scrollbar-track { background: rgba(0, 0, 0, 0.64); }
::-webkit-scrollbar-thumb { background: rgba(71, 71, 71, 0.64);}

.flex-fullwidth {
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.nav-wrapper {
    display: flex;
    justify-content: center;
}

nav { position: relative; }

footer {
    display: flex;
    background: rgba(0, 0, 0, 0.84);
    justify-content: space-between;
    color: white;
    padding: 26px 32px;
    flex-direction: column;
}
.required { display: flex; gap: 16px; }
.required a { font-size: .9rem; color: grey; }

.filter {
    -webkit-clip-path: polygon(2% 0, 0 30%, 0 100%, 98% 100%, 100% 60%, 100% 0);
    clip-path: polygon(2% 0, 0 40%, 0 100%, 98% 100%, 100% 60%, 100% 0);
    backdrop-filter: blur(10px);
    box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.7);
}
.footer-background {
    display: flex;
    border-radius: 5px;
}

.xparse-content {
    white-space: pre-line;
    display: block;
}
.xparse-content p { margin: 0; }
.xparse-content a { text-decoration: underline; }
.xparse-content blockquote {
    padding: 2px 2px 2px 10px;
    margin: 0;
    white-space: normal;
    border-left: 3px solid;
    display: flex;
}
.xparse-content ul {
    padding: 0px 24px;
    margin: 0;
}
.xparse-content li {
    padding: 3px 8px;
    display: flex;
    align-items: center;
    border-radius: 2px;
    position: relative;
}
.xparse-content li::after {
    content: "";
    position: absolute;
    height: 9px;
    width: 9px;
    background: var(--primary);
    left: -18px;
    border-radius: 50%;
}
._rdm a {
font-size: .8rem;
  text-decoration: none;
  border-radius: 18px;
  background: #ffffff1a;
  padding: 1px 16px;
}
.tx-shadow-front {
text-shadow: 0 2px 1px #000000a3, 2px 0px 1px #0000008a, 2px 2px 1px #00000096;
}
.copy {
    color: #c2c4c8;
    display: flex;
    justify-content: flex-end;
    font-size: .6rem;
    margin-top: 2px;
}
.-v-wrapper {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 14px;
}
.nav-shadow-outlet {
    width: 80%;
    margin-top: 14px;
    box-shadow: 0px 5px 10px 0px rgb(0 0 0 / 38%);
}
.nav-shadow-outlet .main-logo img {
    left: 96px;
    position: absolute;
    top: -3px;
    filter: drop-shadow(0px 0px 2px #000);
}
.menu-handler:hover { cursor: pointer; }
.menu-handler { display: flex; }
.menu-handler img {
    height: 36px;
    width: 36px;
    border-radius: 50%;
    border: 2px solid #858585; }
.navigation {
    height: 60px;
    background: #00000087;
    background: linear-gradient(180deg, #22222287, #00000087);
    backdrop-filter: blur(10px);
    box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.7);
    display: flex;
    color: white;
    align-items: center;
    justify-content: flex-end;
    overflow: hidden;
    border-radius: 4px;
    padding: 0px 30px;
    gap: 18px;
}

.tool-mobile-notice {
    display: none;
    padding-top: 12px;
    color: #cdcdcd;
}

.global-menu-selector {
    display: flex;
    align-items: center;
    gap: 2px;
    background: rgba(0, 0, 0, 0.2);
    border-radius: 4px;
    padding-right: 10px;
    padding-left: 2px;
    border: 2px solid rgba(255, 255, 255, .12);
}
.global-menu-selector:hover {
    cursor: pointer;
    background: rgba(0, 0, 0, 0.38);
}
.global-menu-selector .menu-icon {
    height: 34px;
    width: 34px;
    font-size: 1.4rem;
    justify-content: center;
    display: flex;
    align-items: center;
}
.global-menu-selector .menu-icon i {
    display: flex;
}
#global-sidebar-menu-right {
    position: fixed;
    height: 100%;
    background: transparent;
    transition: background .2s ease-in-out;
    width: 100%;
    z-index: 10000;
}
#global-sidebar-menu-right.animation_start {
    background: rgba(0, 0, 0, 0.3);
}
#global-sidebar-menu-right .sub-menu {
    height: 100%;
    width: var(--var-sidebar-width);
    transition: right .1s ease-in;
    right: calc( -1 * var(--var-sidebar-width) );
    position: fixed;
    --var-sidebar-width: max(min(320px, 600px), 40%);
    background: #1a1918;
    box-shadow: 0 0 6px 5px rgba(0, 0, 0, 0.2);
    background: linear-gradient(131deg, #181716, #3a3127);
    border-left: 2px solid #4d4d4da1;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 22px 14px;
}
#global-sidebar-menu-right sub a {
    display: flex;
    margin-left: 30px;
    align-items: center;
}
#global-sidebar-menu-right sub a::before {
    content: "\F280";
    position: absolute;
    left: 0;
    display: inline-block;
    font-family: bootstrap-icons !important;
}
#global-sidebar-menu-right sub {
    position: relative;
}
#global-sidebar-menu-right .sub-menu.animation_start {
    right: 0 !important;
}
#global-sidebar-menu-right .sub-menu a {
    font-size: 1.2rem;
    background: rgba(160, 160, 160, 0.2);
    padding: 4px 12px;
    border-radius: 5px;
}
#global-sidebar-menu-right .sub-menu a.fg-online {
    background: linear-gradient(108deg, #4f4d87, #b66476);
}
#global-sidebar-menu-right .sub-menu span {
    color: #d1d1d1;
    font-size: 1.1rem;
    text-transform: uppercase;
}
#global-sidebar-menu-right .sub-menu .upper-header {
    display: flex;
    justify-content: space-between;
    border-bottom: 2px solid rgba(214, 214, 214, 0.2);
    align-items: center;
    padding-bottom: 2px;
}
#global-sidebar-menu-right .sub-menu .upper-header .exit-button {
    aspect-ratio: 1/1;
    background: rgba( 255, 255, 255, 0.2 );
    height: 100%;
    border-radius: 50%;
    color: white;
    justify-content: center;
    align-items: center;
    display: flex;
    font-size: 1.4rem;
}
#global-sidebar-menu-right .sub-menu .upper-header .exit-button i {
    display: flex;
}
#global-sidebar-menu-right .sub-menu .upper-header .exit-button:hover {
    cursor: pointer;
    background: rgba( 255, 255, 255, 0.3 );
}

.navigation-flex {
    display: flex;
    justify-content: center;
    flex-direction: row
}

.virtual {
    margin-left: 12px;
}
.virtual .navigation-item {
    background: linear-gradient(158deg, #111051, #5f2259);
    box-shadow: 0px 0px 0px 2px rgba(218, 218, 218, 0.2);
}
a:not(.virtual) .navigation-item span {
    display: none;
}

.navigation-item {
    margin: 0 4px;
    font-size: 1.02rem;
    text-transform: uppercase;
    background: rgba(0, 0, 0, 0.3);
    padding: 4px 19px;
    border-radius: 3px;
    display: flex;
    flex-direction: row;
    align-items: center;display: flex; align-items: center;
    box-shadow: 0px 0px 0px 2px rgb(92 92 92 / 20%);
    gap: 6px;
    height: 100%;
}
.navigation-item .icon-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 20px;
    width: 20px;
}
.navigation-item .icon-wrapper i {
    display: flex;
    font-size: 16px;
    align-items: center;
    color: #b3bac9;
}
.navigation-item:hover {
    background: rgb(0 0 0 / 38%);
    box-shadow: 0px 0px 0px 2px rgb(92 92 92 / 25%); }

a:hover, .navigation-item:hover {
    color: var( --primary );
    cursor: pointer;
}

main {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    margin-top: 62px;
}

.site-containers {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    width: 80%;
    gap: 30px;
    justify-content: space-between;
    z-index: 0;
}
.site-containers .__site-box-wrapper {
    width: 24%;
    display: flex;
    align-items: center;
    justify-content: flex-start
}
.site-containers .__site-box-wrapper .__content {
    height: 90%;
    background: rgba(0, 0, 0, 0.2);
    width: 100%;
    display: flex;
    flex-direction: column;
    backdrop-filter: blur(8px);
    background: linear-gradient(45deg, rgba(0, 0, 0, 0.56), rgba(0, 0, 0, 0.69));
    border-radius: 4px;
    box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.5);
}
.site-containers .__site-box-wrapper .__header {
    padding: 12px 22px;
    border-bottom: 3px solid rgba(255, 255, 255, 0.1);
    color: white
}
._art-content {
    overflow-y: scroll;
    flex: 1;
    margin-right: 8px;
}
._art-content:hover { margin-right: 0px; }
._art-content.firefox:hover { margin-right: 8px!important; }
._art-content:hover::-webkit-scrollbar { width: 8px; opacity: 1; }
._art-content::-webkit-scrollbar {
    width: 0px; opacity: 0; margin-right: 8px;
}
._art-content::-webkit-scrollbar-track {
    background: #464c4e;
}
._art-content::-webkit-scrollbar-thumb {
    background: var(--primary);
    border: 2px solid #464c4e;
    border-radius: 10px;
}
._art-content .__article {
    margin: 10px 14px;
    color: white;
    background: rgba(0, 0, 0, 0.4);
    padding: 10px 14px;
    border-radius: 8px;
    position: relative;
}
.__article .content { margin-bottom: 6px; font-size: .9rem; }
.__article .content.lclamp {
    display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.3;
}
.__article ._rdm { text-align: right; }
.__article .ctl-info {
text-align: right;
  color: #aab1bf;
  font-size: 0.8rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding-top: 3px;
}

.__article .ctl-info .user {
  display: flex;
  align-items: center;
  color: var(--primary);
  font-size: 14px;
}
.__article .ctl-info .user img {
  height: 30px;
  border-radius: 50%;
  margin-right: 10px;
}
.__article .ctl-info .time {
    border-right: 3px solid #f8cf9061;
  padding: 0px 6px;}

/* fairground online */
.site-containers .__site-box-wrapper.fairground-news .__content {
    background: linear-gradient(108deg, #4f4d8769, #b6647678);
    box-shadow: 0px 0px 14px 5px rgba(0, 0, 0, 0.24);
    position: relative;
    overflow: hidden;
}
.site-containers .__site-box-wrapper.fairground-news  .__header {
    color: #fdfdfd;
    z-index: 10;
    background: #1f1f1fde;
}
.site-containers .__site-box-wrapper.fairground-news .main-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 40px;
}
.site-containers .__site-box-wrapper.fairground-news .main-content a {
    z-index: 1;
}
.site-containers .__site-box-wrapper.fairground-news .check-button {
    width: 260px;
    text-align: center;
    color: white;
    background: rgba(23, 23, 23, 0.68);
    padding: 10px 0;
    font-size: 1.2rem;
    border-radius: 52px;
    box-shadow: 0 0 0px 6px rgba(89, 89, 89, 0.65);
}
.site-containers .__site-box-wrapper.fairground-news .image-field-cover-base {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.site-containers .__site-box-wrapper.fairground-news .image-field-cover-base .background {
    position: absolute;
    opacity: 0.2;
}
.site-containers .__site-box-wrapper.fairground-news .image-field-cover-base .brand {
    width: 85%;
    filter: drop-shadow(0 0px 20px rgba(255, 255, 255, 0.5));
    opacity: .8;
}
/* ----------------- */

.main-wrapper {
    display: flex;
    justify-content: center;
    padding: 34px 0px;
    z-index: 99;
    position: relative;
}

.bg-overlay.pride-ee::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;

    background: linear-gradient(314deg, #560d0db2, #560d0db2, #560d0db2, #560d0db2, #560d0db2, #654314b2, rgba(103, 88, 19, 0.698), #0e5814b2, #114263b2, #4c126cb2, #4c126cb2, #4c126cb2, #4c126cb2, #4c126cb2 );
    background-size: 2600% 2600%;

    -webkit-animation: rainbow 14s ease infinite;
    -moz-animation: rainbow 14s ease infinite;
    animation: rainbow 14s ease infinite;
}
@-webkit-keyframes rainbow {
    0% { background-position:0% 97% }
    50% { background-position:100% 4% }
    100% { background-position:0% 97% }
}
@-moz-keyframes rainbow {
    0% { background-position:0% 97% }
    50% { background-position:100% 4% }
    100% { background-position:0% 97% }
}
@keyframes rainbow {
    0% { background-position:0% 97% }
    50% { background-position:100% 4% }
    100% { background-position:0% 97% }
}

.i-wonder {
    position: absolute;
    bottom: -26px;
    cursor: pointer;
    display: flex;
}

.pride-ee .navigation .main-logo img { height: 52px; margin-top: 5px; }

.pride-ee img.entrance-logo {
    filter: drop-shadow( 0 0 6px rgba(0, 0, 0, 0.54) );
    margin-top: 18px;
}

video.entrance-animation {
    height: 260px;
    position: absolute;
    opacity: 1;
}
img.entrance-logo {
    opacity: 0;
}
.fade-pull {
    transition: opacity 1.2s cubic-bezier(.61,.21,.42,1.09)
}

.yt-frame {
    border: none;
    border-radius: 4px;
    box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.43);
}

.drop-shadow { filter: drop-shadow(0px 0px 1px #000000a3) }

.scl-reference {
    margin: 0px 8px;
    font-size: 1.3rem;
}

@media only screen and (min-width: 1940px) {
    .bg-overlay {
        background-repeat: no-repeat;
        background: linear-gradient(164deg, #f7efe1e8 -20%, #2d1907d6 56%), url('/resources/img/background/iteration-1.jpg');
        background-size: cover!important;
    }
    .background-grad {
        z-index: -1;
        position: fixed;
        inset: 0;
        overflow: hidden;
        background: linear-gradient(164deg, #f7efe1e8 -20%, #2d1907d6 56%), url('/resources/img/background/iteration-1.jpg');
        background-size: cover!important;
    }
}

.bg-overlay {
    background-repeat: no-repeat;
    background: linear-gradient(164deg, #f7efe1e8 -20%, #2d1907d6 56%), url('/resources/img/background/iteration-1.jpg');
    background-size: 1920px;
}

.background-grad {
    z-index: -1;
    position: fixed;
    inset: 0;
    overflow: hidden;
    background: linear-gradient(164deg, #f7efe1e8 -20%, #2d1907d6 56%), url('/resources/img/background/iteration-1.jpg');
    background-size: 1920px;
}

.main-wrapper-scl {
    min-height: 800px;
    width: 100%;
    display: flex;
    padding: 34px 0px;
    z-index: 99;
    flex-direction: column;
    margin-top: 30px;
    align-items: center;
}

.main-iv-wrapper {
    padding: 12px 0;
    width: 80%;
    display: flex;
    flex-direction: column;
    color: white;
    background: rgba(0, 0, 0, 0.5);
    padding: 16px;
    border-radius: 2px;
    backdrop-filter: blur(3px);
}

.main-page-header {
    width: 100%;
    text-align: left;
    background: rgba(0, 0, 0, 0.2);
    padding: 8px 16px;
    border-radius: 3px;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.15);
    line-height: 1.2;
}
.main-page-header .menu-wrapper {
    display: flex;
    gap: 6px;
    color: #adb7c2;
}
.menu-wrapper a { color: inherit; }
.menu-wrapper a:hover { text-decoration: underline; }

.main-iv-content {
    display: grid;
    grid-template-columns: repeat( 4, minmax(140px, 1fr) );
    gap: 46px 12px;
    margin-top: 40px;
}

.li-involved {
    background: rgba(0, 0, 0, 0.4);
    padding: 12px 0px;
    border-radius: 6px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.li-involved .__namefield {
    margin-left: 8px;
    font-size: 1.2rem;
    height: 22px;
    line-height: 1rem;
}
.li-involved .title-cont {
    margin-top: 6px;
    padding: 6px 18px;
    background: rgba(0, 0, 0, 0.3);
}

.li-involved .social-icons {
    padding: 12px 18px 0px;
    display: flex;
    justify-content: flex-end;
}

.li-involved .social-icons a {
    margin-left: 10px;
}

.li-involved .role {
    font-size: .8rem;
    background: #8e97a8;
    padding: 1px 8px;
    position: absolute;
    border-radius: 5px;
    right: 8px;
    top: 8px;
}
.li-involved .role[data-name^="admin"],
.rd-dashboard[data-name^="admin"]
    { background: #d72042; }
.li-involved .role[data-name^="support"],
.rd-dashboard[data-name^="support"]
    { background: #1a8025; }
.li-involved .role[data-name^="team"],
.rd-dashboard[data-name^="team"]
    { background: rgb(39, 87, 165); }
.li-involved .role[data-name^="beta-tester"],
.rd-dashboard[data-name^="beta-tester"]
    { background: #9d20d7; }
.li-involved .role[data-name^="web"],
.rd-dashboard[data-name^="web"]
    { background: #d7ac20; }
.twitch-modal {
    color: white;
    background: #6818df;
    padding: 6px 6px 12px 16px;
    border-radius: 2px;
    -webkit-clip-path: polygon(100% 0, 100% 66%, 92% 100%, 0 100%, 0 0);
    clip-path: polygon(100% 0, 100% 66%, 92% 100%, 0 100%, 0 0);
}
#twitch-modal-ot {
    opacity: 0;
    position: fixed;
    z-index: 99999;
    bottom: 32px;
    left: 32px;
}
#twitch-modal-ot::after {
    display: none;
    position: absolute;
    content: "";
    background: #6818df;
    height: 22px;
    width: 32px;
    bottom: -22px;
    right: 135px;
    -webkit-clip-path: polygon(0 0, 0 100%, 62% 0);
    clip-path: polygon(0px 0px, 32px 100%, 100% 0);
}
.twitch-modal .white-overlay {
    background: white;
    color: #6818df;
    font-weight: bold;
    padding: 15px;
    -webkit-clip-path: polygon(100% 0, 100% 63%, 93% 100%, 0 100%, 0 0);
    clip-path: polygon(100% 0, 100% 63%, 93% 100%, 0 100%, 0 0);
    display: flex;
    align-items: flex-end;
    gap: 10px;
}
.lv-circle {
    background: red;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.lv-circle .inner-circle {
    height: 20px;
    min-width: 20px;
    border-radius: 50%;
    border: 2px solid #f00;
    animation: livepulse 1s ease infinite;
}
@keyframes livepulse {
    from {
        min-width: 20px;
        height: 20px;
        opacity: 1;
    }
    to {
        min-width: 35px;
        height: 35px;
        opacity: 0;
    }
}

@keyframes ticonpulse {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0.4;
    }
    100% {
        opacity: 1;
    }
}

.lt-pulse a {
    animation: ticonpulse 2.1s ease-in-out infinite;
    color: red;
}

.footer-mq {
    display: flex;
    align-items: center;
    justify-content:space-between;
}
.footer-web-social {
    display: flex;
    align-items: center;
}
footer .right-spacewrapper {
    display: flex;
    align-items: center;
}